#
# spec file for package po4a
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           po4a
Version:        0.45
Release:        3.14
Summary:        Framework to translate documentation and other materials
License:        GPL-2.0
Group:          Development/Tools/Other
Url:            http://po4a.alioth.debian.org/
Source:         http://alioth.debian.org/frs/download.php/file/3942/%{name}-%{version}.tar.gz

BuildRequires:  docbook-xsl-stylesheets
%if 0%{?suse_version} > 1210
BuildRequires:  libxslt-tools
%endif
%if 0%{?suse_version} == 1210
BuildRequires:  libxslt1
%endif
%if 0%{?suse_version} < 1210
BuildRequires:  libxslt
%endif
BuildRequires:  perl-Module-Build >= 0.40
BuildRequires:  perl-SGMLS >= 1.03ii
BuildRequires:  perl-Term-ReadKey
BuildRequires:  perl-Text-WrapI18N
BuildRequires:  perl-Unicode-LineBreak
BuildRequires:  perl-base
BuildRequires:  perl-gettext >= 1.01

# for test suite
BuildRequires:  docbook_4
BuildRequires:  iso_ent
BuildRequires:  opensp
BuildRequires:  perl-HTML-Parser
Requires:       %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{perl_requires}
%lang_package

%description
Po4a extracts the translatable material from its input in a PO file.
When the PO file is translated, it re-injects the translation in the structure of the document, and generates the translated document.
If a string is not translated (i.e. it was not translated or it is "fuzzy"
because the original document was updated), the original string is used.
This permits to provide always up-to-date documentation.

po4a supports currently the following formats:
  * manpages
  * POD
  * XML (generic, DocBook, XHTML, Dia, Guide, or WML)
  * SGML
  * TeX (generic, LaTeX, or Texinfo)
  * text (simple text files with some formatting, markdown, or AsciiDoc)
  * INI

%prep
%setup -q

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot}
%find_lang %{name} --with-man --all-name
rm -f %{buildroot}%{perl_vendorarch}/auto/po4a/.packlist

%check
# requires texlive, which is too heavy for the package
rm t/24-tex.t
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README* TODO
%attr(755,root,root) %{_bindir}/*
%dir %{perl_vendorlib}/Locale/
%{perl_vendorlib}/Locale/Po4a
%{_mandir}/man[1357]/*

%files lang -f %{name}.lang
%defattr(-,root,root)
%dir %{_mandir}/ca
%dir %{_mandir}/pl
%dir %{_mandir}/pt

%changelog
* Wed Nov 19 2014 bwiedemann@suse.com
- fix download link
* Thu Jan 30 2014 elchevive@opensuse.org
- drop po4a-0.44-use-tempfile-correctly.patch
- updated to version 0.45
  po4a:
  * Fix usage of File::Temp::tempfile to allow using Perl >= 5.18.
  Asciidoc:
  * Make it a standalone format.
  Docbook:
  * Make <beginpage> inline.
  Ini:
  * Add key parameter as an automatic comment.  This allows using
  po4a-gettextize on ini files.
  LaTeX:
  * Fix handling of optional parameters in newtheorem command.
  Po:
  * Fix computation of timezone written into PO files.
  Sgml:
  * Fix failing tests with recent Docbook DTD.
* Mon Jun 24 2013 elchevive@opensuse.org
- Add po4a-0.44-use-tempfile-correctly.patch to fix tempfile build
  errors on Perl >-5.18 by replacing 'File::Temp->tempfile' with
  'File::Temp::tempfile'
- Source URL corrected
* Mon Apr 15 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Sun Jan 27 2013 coolo@suse.com
- do not buildrequire texlive
* Sun Oct 21 2012 elchevive@opensuse.org
- update to version 0.44:
  Fix packaging issues with 0.43
* Fri Oct 19 2012 elchevive@opensuse.org
- update to version 0.43:
  po4a:
  * Add --porefs option to change how file locations are written into
  the POT file (and thus into the PO files also).
  po4a-updatepo po4a Po:
  * Extend the --porefs option, add a new 'counter' value to replace
  line number by an increasing counter.
  An optional ",nowrap" or ",wrap" specifier can be added to tell
  whether file locations are written on a single line or wrapped on
  several lines.  Default is ",nowrap", it will be changed to ",wrap"
  in a future release.
  Man:
  * Make .UR/.UE macros inline.
  * Add macros used in several NetBSD man pages: %%I %%U Brc Bro Lp Lk
  Text:
  * Fix two line titles in AsciiDoc format.
  * Let AsciiDoc format handle many more styles.
  * Add support for automatic comments in AsciiDoc format.
* Thu May 17 2012 elchevive@opensuse.org
- update to version 0.42:
  po4a:
  * Allow adding command-line options after config file.
  Text:
  * Add support for control files.
  msguntypot:
  * Do not remove obsolete entries from PO files.
  documentation translations updates
  * New German translations
  * Updated Spanish translations
  * Updated French translations
  * Updated Japanese translations
  * Updated Polish translations
* Fri Mar 23 2012 elchevive@opensuse.org
- Reflect changes on libxslt package (-tool subpackage created)
* Wed Mar 21 2012 elchevive@opensuse.org
- Add perl_requires and libxslt1
* Mon Feb 13 2012 prusnak@opensuse.org
- spec cleanup
* Wed Jan  5 2011 elchevive@opensuse.org
- enable tests and split -lang package
* Tue Jan  4 2011 elchevive@opensuse.org
- initial packaging
